NXOpen .NET Reference  12.0.0
Public Member Functions | List of all members
NXOpen.ISketchHelpedConstraint Interface Reference

Represents a sketch constraint that has a help point or help parameter. More...

Inheritance diagram for NXOpen.ISketchHelpedConstraint:
NXOpen.INXObject NXOpen.SketchHelpedDimensionalConstraint NXOpen.SketchHelpedGeometricConstraint NXOpen.SketchTangentConstraint NXOpen.SketchTangentToStringConstraint

Public Member Functions

void GetHelpData (out bool hasHelpPoint1, out bool hasHelpPoint2, out bool hasHelpParameter1, out bool hasHelpParameter2, out NXOpen.Point3d helpPoint1, out NXOpen.Point3d helpPoint2, out double helpParameter1, out double helpParameter2)
 Gets the help data for the constraint More...
 
void SetHelpPoints (bool hasHelp1, bool hasHelp2, NXOpen.Point3d helpPoint1, NXOpen.Point3d helpPoint2)
 Sets the help points for the constraint More...
 
void SetHelpParameters (bool hasHelp1, bool hasHelp2, double helpParameter1, double helpParameter2)
 Sets the help parameters for the constraint More...
 
- Public Member Functions inherited from NXOpen.INXObject
NXOpen.INXObject FindObject (string journalIdentifier)
 Finds the NXOpen.NXObject with the given identifier as recorded in a journal. More...
 
void Print ()
 Prints a representation of this object to the system log file. More...
 
void SetName (string name)
 Sets the custom name of the object. More...
 

Additional Inherited Members

- Properties inherited from NXOpen.INXObject
bool IsOccurrence [get]
 Returns whether this object is an occurrence or not. More...
 
string JournalIdentifier [get]
 Returns the identifier that would be recorded in a journal for this object. More...
 
string Name [get]
 Returns the custom name of the object. More...
 
NXOpen.Assemblies.Component OwningComponent [get]
 Returns the owning component, if this object is an occurrence. More...
 
NXOpen.BasePart OwningPart [get]
 Returns the owning part of this object More...
 
NXOpen.INXObject Prototype [get]
 Returns the prototype of this object if it is an occurrence. More...
 

Detailed Description

Represents a sketch constraint that has a help point or help parameter.

Created in NX3.0.0

Member Function Documentation

void NXOpen.ISketchHelpedConstraint.GetHelpData ( out bool  hasHelpPoint1,
out bool  hasHelpPoint2,
out bool  hasHelpParameter1,
out bool  hasHelpParameter2,
out NXOpen.Point3d  helpPoint1,
out NXOpen.Point3d  helpPoint2,
out double  helpParameter1,
out double  helpParameter2 
)

Gets the help data for the constraint

Created in NX3.0.0

License requirements: None.

Parameters
hasHelpPoint1Whether the constraint's first associated geometric item has an associated help point
hasHelpPoint2Whether the constraint's second associated geometric item has an associated help point
hasHelpParameter1Whether the constraint's first associated geometric item has an associated help parameter
hasHelpParameter2Whether the constraint's second associated geometric item has an associated help parameter
helpPoint1The first help point. Not used unless has_help_point1 is true.
helpPoint2The second help point. Not used unless has_help_point2 is true.
helpParameter1The first help parameter. Not used unless has_help_parameter1 is true.
helpParameter2The second help parameter. Not used unless has_help_parameter2 is true.

Implemented in NXOpen.SketchHelpedDimensionalConstraint, and NXOpen.SketchHelpedGeometricConstraint.

void NXOpen.ISketchHelpedConstraint.SetHelpParameters ( bool  hasHelp1,
bool  hasHelp2,
double  helpParameter1,
double  helpParameter2 
)

Sets the help parameters for the constraint

Created in NX3.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")

Parameters
hasHelp1Whether the constraint's first associated geometric item has an associated help parameter
hasHelp2Whether the constraint's second associated geometric item has an associated help parameter
helpParameter1The first help parameter. Not used unless has_help1 is true.
helpParameter2The second help parameter. Not used unless has_help2 is true.

Implemented in NXOpen.SketchHelpedDimensionalConstraint, and NXOpen.SketchHelpedGeometricConstraint.

void NXOpen.ISketchHelpedConstraint.SetHelpPoints ( bool  hasHelp1,
bool  hasHelp2,
NXOpen.Point3d  helpPoint1,
NXOpen.Point3d  helpPoint2 
)

Sets the help points for the constraint

Created in NX3.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")

Parameters
hasHelp1Whether the constraint's first associated geometric item has an associated help point
hasHelp2Whether the constraint's second associated geometric item has an associated help point
helpPoint1The first help point. Not used unless has_help1 is true.
helpPoint2The second help point. Not used unless has_help2 is true.

Implemented in NXOpen.SketchHelpedDimensionalConstraint, and NXOpen.SketchHelpedGeometricConstraint.


The documentation for this interface was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.